Next: Directory Modification Times and Permissions, Previous: Data Modification Times, Up: Writing [Contents][Index]

#### Setting Access Permissions

To set the modes (access permissions) of extracted files to those recorded for those files in the archive, use `--same-permissions` in conjunction with the `--extract` (`--get`, `-x`) operation.

`--preserve-permissions`
`--same-permissions`
`-p`

  Set modes of extracted archive members to those recorded in the archive, instead of current umask settings. Use in conjunction with `--extract` (`--get`, `-x`).